//#region src/dolt/fk-map.d.ts
type FkDeps = Record<string, string[]>;
interface FkColumnLink {
  childTable: string;
  parentTable: string;
  columns: {
    child: string;
    parent: string;
  }[];
}
declare const manageFkDeps: FkDeps;
declare const manageFkColumnLinks: FkColumnLink[];
//#endregion
export { FkColumnLink, FkDeps, manageFkColumnLinks, manageFkDeps };